import { createBrowserRouter } from 'react-router-dom';
import Login from './components/Login';
import Dashboard from './components/Dashboard';
import AdminPanel from './components/admin/AdminPanel';
import PrivateRoute from './components/PrivateRoute';

const router = createBrowserRouter([
  {
    path: '/login',
    element: <Login />
  },
  {
    path: '/dashboard/*',
    element: <PrivateRoute><Dashboard /></PrivateRoute>,
    children: [
      { 
        path: ':categoryId',
        element: <Dashboard /> 
      }
    ]
  },
  {
    path: '/admin',
    element: <PrivateRoute requiredRoles={['admin']}><AdminPanel /></PrivateRoute>,
    children: [
      {
        path: 'users',
        element: <AdminPanel />
      },
      {
        path: 'roles',
        element: <AdminPanel />
      },
      {
        path: 'categories',
        element: <AdminPanel />
      }
    ]
  },
  {
    path: '/',
    element: <PrivateRoute><Dashboard /></PrivateRoute>
  }
], {
  future: {
    v7_relativeSplatPath: true
  }
});

export default router;
